/* Uso geral */

@font-face {
    font-family: 'Cantarell';
    font-style: normal;
    font-weight: 400;
    src: url(../fonts/Cantarell/Cantarell-Regular.ttf) format("truetype");
}

body
{
    margin: 0;
}

* {
    font-family: system-ui;
}

textarea { 
    resize: none;
}

input, textarea, select {
    border: none;
    border-radius: 5px; 
}

textarea:focus, input:focus {
    outline: none;
}

[type=checkbox]{
    box-shadow: none;
}

.button {
    
    background-color: #dddbdb;
    padding: 10px 40px;
    border-radius: 10px;
    font-weight: bold;
    border: none;
    cursor: pointer;
    transition: 0.2s;
    box-shadow: 0px 3px 3px #0000009c;
}

button:hover {   
    filter:brightness(0.9);
}

select {
    padding: 6px;
    width: fit-content;
}

input {
    padding: 7px;
}

.popup
{
    transition: 2s;
    width: fit-content;
    height: fit-content;
    background: #ff4343;
    padding: 10px 20px;
    border-radius: 20px;
    position: absolute;
    color: white;
    top: 10px;
    font-weight: bold;
    left: 50%;
    transform: translate(-37%, 30%);
}

.fade{
    opacity:0;
    -webkit-transition: opacity 2s;
    -moz-transition: opacity 2s;
    -o-transition: opacity 2s;
    transition: opacity 2s;
}

.unselectable {
    -moz-user-select: none;
    -webkit-user-select: none;
    -ms-user-select: none;
    user-select: none;
    -o-user-select: none;
}

input#check {
    transform: scale(1.25);
}

#response-popup {
    display: flex;
    box-shadow: 0px 5px 6px #000000;
    text-align: center;
    background: rgb(239 239 239);
    padding: 20px 30px;
    position: absolute;
    left: 50%;
    transform: translate(-37%, 5px);
    z-index: 100;
    border-radius: 10px;
    font-weight: 500;
    font-size: 18px;}

#logout-popup {
    padding: 5vh;
    text-align: center;
    border-radius: 10px;
    color: white;
    background-color: #182032;
    box-shadow: 0 0 0 99999px rgb(0 0 0 / 50%);
    position: absolute;
    top: 77vh;
    display: none;
}

#logout-popup h2 {
    margin-bottom: 4vh;
}

#logout-popup a {
    padding: 2vh 5vh 2vh 5vh;
    font-weight: bold;
    border-radius: 10px;
    cursor: pointer;
}

#logout-popup a:hover {
    background-image: linear-gradient(90deg, #ffffff33, #ffffff33);
}

#logout-popup #Sim{
    background-color: #f34444;
}

#logout-popup #Nao{
    background-color: #00040a5e;
}
